Bug 242662 - Difficult to use existing virtual machines (rfe)
Difficult to use existing virtual machines (rfe)
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-06-05 07:35 EDT by Alex Hudson (Fedora Address)
Modified: 2008-06-16 21:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Hudson (Fedora Address) 2007-06-05 07:35:14 EDT
Description of problem:

This is a request for an enhancement. At the moment, if you have existing
virtual machines (e.g., a Qemu disk) it is difficult to bring it into
virt-manager - the "New machine" wizard insists on having install media
available, even though you can specify a harddisk image file which contains a
pre-existing installation.

Work-around: give it any CD, and tell it to install from that. Before the
machine can boot, shut it down, remove the CD. You can then start the virtual
machine, which seems to run correctly.

I recognise there may be issues with bringing virtual machines created by other
software into the virt-manager system, but it seems worth at least giving people
the option to try - even if in some instances it won't work.
Comment 1 Red Hat Bugzilla 2007-07-24 22:12:39 EDT
change QA contact
Comment 2 Bug Zapper 2008-05-14 08:49:19 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:25:42 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.